RPM Community Forums

Mailing List Message of <rpm-users>

Re: rpmio not compiling

From: Belal Salem <belal@nothing-real.com>
Date: Mon 08 Aug 2011 - 18:39:15 CEST
Message-ID: <op.vzwlvpc5mn2pqa@inferno>
Yes!
The repository you give to me is a good place to compare the versions I  
have and to upgrade what needs upgrading.

Thanks for your time.

On Mon, 08 Aug 2011 12:55:43 -0400, Jeff Johnson <n3npq@mac.com> wrote:

>
> On Aug 8, 2011, at 11:37 AM, Belal Salem wrote:
>
>> Great!
>> Updating to popt-1.14 works.
>>
>> Now,rpmaug.c with POPT_ARG_MAINCALL has passed correctly, but I  
>> encounter the same error type different place:
>> rpmzq.c:179: error: 'POPT_ARGFLAG_TOGGLE' undeclared here (not in a  
>> function)
>>
>> Are there any other packages that needs updating in addition to popt?
>>
>
> All depends on how what build options you choose for rpm: RPM is *NOT*
> a build that you can just do
> 	./configure --prefix=/usr
> and hope for the best. There's simply too many build options to even
> attempt the needed QA coverage explicitly.
>
> The prerequisites for RPM are in INSTALL where it says:
>
> 	POPT            mandatory 1.15    1.16    http://rpm5.org/files/popt/
>
> INSTALL is maintained accurately for the most common build options,  
> certainly the MANDATORY ones.
>
> There's also an internal popt distributed with rpm for most of the last  
> year.
>
> hth
>
> 73 de Jeff
>
> ______________________________________________________________________
> RPM Package Manager                                    http://rpm5.org
> User Communication List                             rpm-users@rpm5.org
>


-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/
Received on Mon Aug 8 19:44:16 2011
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.